Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Class BasicAction

    java.lang.Object
      uchicago.src.sim.engine.BasicAction

Direct Known Subclasses:
  ActionGroup, ScheduleBase, ScheduleGroup, SimAction, SimListAction, ThreadedAction

    public abstract class BasicAction

extends java.lang.Object

Abstract base class for any action in a simulation that can be executed by a `Schedule`.

Version:
  $Revision: 1.11 $ $Date: 2004/11/03 19:50:57 $
Author:
  Nick Collier (Modified by Michael J. North)
See Also:
  `Schedule`

Field Summary
`static int` | `INTERVAL_UPDATER`
`static int` | `ONE_TIME_UPDATER`
`protected uchicago.src.sim.engine.BasicAction.Updater` | `updater`

Constructor Summary
`BasicAction()`

Method Summary
`void` | `addToGroup(ScheduleGroup group)`
`abstract void` | `execute()` Executes this BasicAction.
`double` | `getIntervalTime()`
`java.lang.String` | `getName()` Gets the name of this BasicAction.
`double` | `getNextTime()`
`void` | `reSchedule(ActionQueue queue)` Reschedule this BasicAction if necessary.
`void` | `setIntervalTime(double intervalTime)`
`void` | `setName(java.lang.String aName)` Sets the name of this BasicAction.
`void` | `setNextTime(double nextTime)` Sets the next time (tick) this BasicAction will be executed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERVAL_UPDATER

    public static final int INTERVAL_UPDATER

See Also:
  Constant Field Values

### ONE_TIME_UPDATER

    public static final int ONE_TIME_UPDATER

See Also:
  Constant Field Values

### updater

    protected uchicago.src.sim.engine.BasicAction.Updater updater

Constructor Detail

### BasicAction

    public BasicAction()

Method Detail

### setNextTime

    public void setNextTime(double nextTime)

  Sets the next time (tick) this BasicAction will be executed.

### getNextTime

    public double getNextTime()

### getIntervalTime

    public double getIntervalTime()

### setIntervalTime

    public void setIntervalTime(double intervalTime)

### setName

    public void setName(java.lang.String aName)

  Sets the name of this BasicAction.

  Parameters:
    `aName` - the name for this BasicAction

### getName

    public java.lang.String getName()

  Gets the name of this BasicAction.

  Returns:
    the name of this BasicAction

### execute

    public abstract void execute()

  Executes this BasicAction. Typically invokes a Method on some Object.

### reSchedule

    public void reSchedule(ActionQueue queue)

  Reschedule this BasicAction if necessary.

### addToGroup

    public void addToGroup(ScheduleGroup group)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD